### Method

# GIRepository FieldInfo get_field

since: 2.80

#### Declaration

    gboolean
    gi_field_info_get_field (
      GIFieldInfo* field_info,
      void* mem,
      GIArgument* value
    )

#### Description

Reads a field identified by a `GIFieldInfo` from a C structure or union.

This only handles fields of simple C types. It will fail for a field of a composite type like a nested structure or union even if that is actually readable.

Available since: 2.80

This method is not directly available to language bindings.

#### Parameters

`mem`

  Type: `void*`

  Pointer to a block of memory representing a C structure or union.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`value`

  Type: `GIArgument`

  A `GIArgument` into which to store the value retrieved.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if reading the field succeeded, `FALSE` otherwise.